import React from 'react';
import { bgColors, borderColors } from '../colors';
import { Line } from './Line';
export const PrimaryTitle = ({ text, color, right }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { className: `h-10 w-10 rounded-full mt-[-1px] ${bgColors[color]} absolute ${right && "right-0"}` }),
        React.createElement("h2", { className: `text-4xl bold shadow-none mt-[-1px] ${!right ? "ml-16" : "mr-16 "}` },
            React.createElement("div", { className: `border-t-8 w-9 ${borderColors[color]} absolute ${right ? "right-4 border-l-8 rounded-tl-full" : "left-4 border-r-8 rounded-tr-full"}` }),
            React.createElement(Line, { color: color, right: right }),
            React.createElement("div", { className: 'w-full relative' },
                React.createElement("div", { className: `border-b-8 h-full mt-[0.245px] w-6 ${borderColors[color]} absolute ${right ? "right-[-20px] border-r-8 rounded-br-full" : "left-[-20px] border-l-8 rounded-bl-full"}` }),
                React.createElement("div", { className: `w-full border-b-8 ${borderColors[color]} ${right ? "pl-4 text-right" : "pr-4"}` }, text)))));
};
//# sourceMappingURL=PrimaryTitle.js.map